const showNotification = async () => {
  let notificationDetails = await browser.runtime.sendMessage({
    command: "getNotificationDetails",
  });

  // get the details back from the formerly serialized content
  const { mailCollb }      = notificationDetails;
  const { mailCollFullb }  = notificationDetails;
  const { localpic }       = notificationDetails;

	let SCFprefs = {
		ab_prio     	:  ("underfined"? true : priorit_place),
		margin_width	:  ("underfined"? 30 : 		margn_width),   
		icon_height   	:  ("underfined"? 48 :        icn_height),   
        icon_space   	:  ("underfined"? 4 :         icn_space),   
        popup_height   	:  ("underfined"? 250 :       poup_height),   
        icon_radius   	:  ("underfined"? 8 :         icn_radius),   
        popup_backgnd   :  ("underfined"? "#808080" : poup_backgnd),   
        popup_font_size :  ("underfined"? 14 :        poup_font_size),   
        popup_font_color:  ("underfined"? "#ffffff" : poup_font_color), 
        popup_radius   	:  ("underfined"? 8 :         poup_radius),   
        popup_bradius   :  ("underfined"? 8 :         poup_bradius),   
        tooltip_width   :  ("underfined"? 210 :       toltip_width),   
        pinned   		:  ("underfined"? true :      pined),   
        use_bkgnd   	:  ("underfined"? true :      us_bkgnd),   
        grid_backgnd   	:  ("underfined"? true :      grd_backgnd),   

  };
	const fm_st = await browser.storage.local.get(SCFprefs);
	
  var img=0;
  var pic="1.jpg";
  

  // create the notification element itself
  const notification = document.createElement("div");
  notification.className = "scfNotify";
  notification.setAttribute("id", "photo_grid");
   if (fm_st.pinned == true) {
       var pinstle = "position:sticky;";} else {var pinstle = "position:static;"};
   if (fm_st.use_bkgnd == false) {
       var bkgstle = "";} else {var bkgstle = "background-color:"+fm_st.grid_backgnd+";";};
   notification.setAttribute("style", `${pinstle}${bkgstle}`);


  const margin = document.createElement("img");
  margin.className = "left_margin";
  margin.setAttribute("style", `width:${fm_st.margin_width}px`);
  margin.setAttribute("height", "1");
  margin.setAttribute("border", "0");

  notification.appendChild(margin);

for (img=0; img<mailCollb.length; img++) {

  const imgdiv = document.createElement("div");
  imgdiv.className = "tooltip";
  
  const imgs = document.createElement("img");
  imgs.className = "icon";
  imgs.setAttribute("src", localpic[img]);
  imgs.setAttribute("style", `height:${fm_st.icon_height}px;border-radius:${fm_st.icon_radius}px`);

  const imgspn = document.createElement("span");
  imgspn.className = "tooltiptext";
  imgspn.innerHTML = mailCollFullb[img] + "<BR>= " + mailCollb[img] + " =";
  imgspn.setAttribute("style", `background-color:${fm_st.popup_backgnd};font-size:${fm_st.popup_font_size}px;color:${fm_st.popup_font_color};border-radius:${fm_st.popup_bradius}px;width:${fm_st.tooltip_width}px`);

  const imgz = document.createElement("img");
  imgz.className = "popup";
  imgz.setAttribute("src", localpic[img]);
  imgz.setAttribute("style", `height:${fm_st.popup_height}px;border-radius:${fm_st.popup_radius}px`);

  const spacer = document.createElement("img");
  spacer.className = "spacr";
  spacer.setAttribute("style", `width:${fm_st.icon_space}px`);
  spacer.setAttribute("height", "1");
  spacer.setAttribute("border", "0");

  notification.appendChild(imgdiv);
  imgdiv.appendChild(imgs);
  imgdiv.appendChild(imgspn);
  imgspn.appendChild(imgz);
  notification.appendChild(spacer);
};

 // create the notificatino text element
//  const notificationText = document.createElement("div");
//  notificationText.className = "scfText";
//  notificationText.innerHTML = "<BR>";

/*
  // create a button to diplay it in the notification
  const markButton = document.createElement("button");
  markButton.innerText = "More V";

  markButton.addEventListener("click", async () => {
    // add the button event handler to send the command to the background script
    browser.runtime.sendMessage({
      command: "markUnread",
    });
  });


  // add text and button to the notification
// notification.appendChild(notificationText);
//  notification.appendChild(markButton);

*/  // and insert it as the very first element in the message

var pinGrid = document.createElement("button");
    pinGrid.innerText = "un-Pin";
    pinGrid.setAttribute("id","pinButton");

pinGrid.addEventListener("click", function() {
        var grid = document.querySelector("#photo_grid");
        var btn = document.querySelector("#pinButton");
        if (btn.innerText == "un-Pin") {btn.innerText = "Pin";}
        else {btn.innerText = "un-Pin";}
        var attrb = notification.getAttribute("style");
        var attrimd = attrb.slice(0,15)
        if ( attrimd == "position:sticky") {
           var atrez = attrb.replace("sticky","static");
           notification.setAttribute("style", atrez);
         }
        else {
           var atrez = attrb.replace("static","sticky");
           notification.setAttribute("style", atrez);
           };
});

//  pinGrid.addEventListener("click", async () => {
    // add the button event handler to send the command to the background script
//    browser.runtime.sendMessage({
//      command: "unpin",
//    });
//  });


  // add text and button to the notification
// notification.appendChild(notificationText);
  notification.appendChild(pinGrid);

  document.body.insertBefore(notification,document.body.firstChild);
};
showNotification();
